Bug 152893 - "focus servo failure" error while CD-R media is good - drive should re-tune focus
"focus servo failure" error while CD-R media is good - drive should re-tune f...
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2005-02-04 01:51 EST by David Lawrence
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:31:13 EST
mount /dev/cdrom command failed to mount CD-R media even after many attempt.
/var/log/messages indicated "focus servo failure" error.

I tried with different CD-R medias but same error was reported.

mounting CDROM was succesful.

Tried to write on new CD-R media. Writing was successful but subsecqent reading

Physicaly moved the CD drive to another system running RH9 but mounting failed
on RH9 also.

It may not be hardware problem or dust accumulation on the reading sensor
because it was reading CDROM

Then I tried to boot the system with bootable Linux CD-R but system failed to
boot from the CD-R.

Then I tried to boot the system with bootable Windows XP CD-R and the system
successfully boot from the CD-R !

Then I again tried to boot from Linux bootable CD-R and it successfully boot !!

There after the problem vanished!!! and mount was succesful for CD-R on RH9 and FC1.

This problem was observed on one more machine with same hardware config and I
could solve the problem just by booting once using Windows CD.

There is something missing in the Linux CD driver. Windows-XP must be issuing
some command to the CD drive's focus mechanisum to retune itself.

I hate this. Linux should be able to do what Windows can.
My system's configuration:

Linux Ver: 2.4.22-1.2115

82801BA/CA/DB/EB PCI Bridge
82801DB LPC Interface Controller

CD-ROM Drive: Samsung CD-R/RW SW-248F
              Driver: built-in
              Device: /dev/scd0

Thanks & best of luck.

Deepak Patil

------- Additional Comments From dlpatil@hotmail.com 2005-02-09 00:22:39 ----

Created an attachment (id=990)
Described how to produce the problem

------- Additional Comments From dom@earth.li 2005-02-22 15:27:49 ----


Fedora Legacy doesn't have the resources to deal with this: we're focused on
security issues only at the moment, so I'm closing this bug.

------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:31 -------

This bug previously known as bug 2411 at https://bugzilla.fedora.us/
Originally filed under the Fedora Legacy product and Package request component.

Described how to produce the problem

Unknown priority P4. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was dlpatil@hotmail.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Note You need to log in before you can comment on or make changes to this bug.